> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_metrics_list.md).

# iai metrics list

List observability metrics

## Synopsis

List observability metrics with optional filters.

Uses the platform API with dual authentication (API key or session). If --from-timestamp is not provided, defaults to 7 days ago. Use --daily to get metrics aggregated by day (default).

```
iai metrics list [flags]
```

## Examples

```
  iai metrics list --daily
  iai metrics list --daily --from-timestamp 2025-01-01T00:00:00Z
  iai metrics list --daily --trace-name my-trace --show-models
  iai metrics list --daily --json | jq '.data'
```

## Options

```
      --columns strings         Columns to display for table output only (comma-separated, default: date,count_traces,count_observations,total_cost). Cannot be used with --json or --yaml.
                                Available: date,count_traces,count_observations,total_cost,total_tokens
      --daily                   Aggregate metrics by day (default true)
      --environment string      Filter by environment
      --from-timestamp string   Filter metrics from this timestamp (ISO 8601, default: 7 days ago)
  -h, --help                    help for list
      --json                    Output raw API response as JSON
      --limit int               Items per page (max 365)
  -o, --organization string     Organization name that owns the project
      --page int                Page number (starts at 1) (default 1)
  -p, --project string          Project name
      --show-models             Show per-model breakdown
      --tags stringArray        Filter by tags (repeatable)
      --to-timestamp string     Filter metrics to this timestamp (ISO 8601)
      --trace-name string       Filter by trace name
      --user-id string          Filter by user ID
      --yaml                    Output raw API response as YAML
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai metrics](/cli/iai_metrics.md) - Query aggregated observability metrics


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_metrics_list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
